clear;
% Hornplate
vG1 = voxRod(38/2, 6, 'voxSize', 0.2);

vG2 =  voxRod(10+3, 45, 'voxSize', 0.2);

vG2 = rotVg(vG2, [90 0 0]);

vG3 = voxBox(21, 45, 6, 'voxSize', 0.2);
vGsum = voxUnion(vG1, vG3, [0 0 0], 'ccb', 'ccb', 'voxSize', 0.2);
vGsum = innerFillet2D(vGsum, 20, 'xy');

vGsum = voxUnion(vGsum, vG2, [0 0 4], 'ccb', 'ccb', 'voxSize', 0.2);
vGsum = innerFillet(vGsum,10);
vGsum = outerFillet(vGsum,5);

% ax hull

vG2h = voxRod(10.1, 45, 'voxSize', 0.2);
vG2h = rotVg(vG2h, [90 0 0]);

vGsum2 = voxDifference(vGsum, vG2h, [0 0 7], 'ccb', 'ccb', 'voxSize', 0.2);

% skru hull
vGs = voxRod(2, 55, 'voxSize', 0.2);

vGpatt = voxCircPattern(vGs, 4, 31/2, 'voxSize', 0.2);


vGtot =  voxDifference(vGsum2, vGpatt, [0 0 0], 'ccb', 'ccb', 'voxSize', 0.2);

vGtot = outerFillet(vGtot,3);

fig1;plotVg(vGtot,'dark', 'edgeOff');


vox2stl(vGtot, 'h2.stl', 0.2, 'smooth', 2);
